# encoding: UTF-8

# Save to older SketchUp Version, Copyright 2024, Dezmo
# Licensed under the MIT-style license (see license.txt)
#  Allow to save to older SketchUp version in SketchUp 2024.0.
# However should work in any older SU!
# Tested on Windows 11 only. Might work on Mac.

# /Without any obligation/
# This software is provided as a good (or bad) example of using the 
# Ruby interface in SketchUp.

module Dezmo
  module SaveAndCopyAsSKPVersion
    extension_name = "Dezmo 保存到旧版本 SketchUp"
    EXT_SW = SketchupExtension.new(extension_name, 'Dezmo_save_to_older_skp/main_save_to_older_skp.rb')
    EXT_SW.description = "允许在 SketchUp 2024.0 中保存到旧版 SketchUp。但在任何旧版 SketchUp 中均可使用。"
    EXT_SW.version = 'RC0 2024_04_07_1004'
    EXT_SW.creator = 'Dezmo (dezmo at freemail dot hu)'
    EXT_SW.copyright = '2024, Dezmo'
    load_on_start = true
    Sketchup.register_extension EXT_SW, load_on_start
  end
end

# 0: 'RC0 2024_04_06_1354'
# 1: 'RC0 2024_04_07_1004': Prevent Error during load on Mac